.position {
    --x: 0;
    --y: 0;
}
.button {
    height: 100px;
    background-color: gray;
    position: relative;
    overflow: hidden;
}
.button::after {
    content: "";
    position: absolute;
    top: var(--y) ;
    left:var(--x);
    background-color: #2fe9f5;
    height: 100px;
    width: 100px;
    z-index: 1000000;
    transform: translate(-50% , -50%);
}